VM_PAGE_LOOKUP(9)

NAME
vm_page_lookup - lookup a vm page

SYNOPSIS
#include <sys/param.h>
#include <vm/vm.h>
#include <vm/vm_page.h>
vm_page_t
vm_page_lookup(vm_object_t object, vm_pindex_t pindex);

DESCRIPTION
The vm_page_lookup() function searches for a VM page given its VM object and index. If the page is not found, NULL is returned. Its arguments are:

object
    The VM object to search on.

pindex
    The page index to search on.

RETURN VALUES
A vm_page_t is returned if successful; otherwise, NULL is returned.

AUTHORS
This manual page was written by Chad David <davidc@acns.ab.ca>.